#### Beyond Linux® From Scratch (System V Edition) - Version 12.3

### Chapter 42. Multimedia Libraries and Drivers

- Prev

  Libao-1.2.0

- Next

  libass-0.17.3

- Up
- Home

# libaom-3.12.0

## Introduction to libaom

The libaom package contains a reference version of the Alliance for Open Media video codec. This codec is a patent free alternative to H.265, and is starting to be used throughout the internet.

This package is known to build and work properly using an LFS 12.3 platform.

### Package Information

- Download (HTTP): https://storage.googleapis.com/aom-releases/libaom-3.12.0.tar.gz

- Download MD5 sum: aabd9c71c7d52c837ec276156d5a953f

- Download size: 5.2 MB

- Estimated disk space required: 121 MB (add 1.2 GB for tests)

- Estimated build time: 1.2 SBU (with parallelism=4, add 155 SBU for tests)

### libaom Dependencies

#### Recommended

yasm-1.3.0 (or NASM-2.16.03)

#### Optional

Doxygen-1.13.2

### Note

An Internet connection is needed for some tests of this package. The system certificate store may need to be set up with make-ca-1.15 before testing this package.

## Installation of libaom

Install libaom by running the following commands:

    mkdir aom-build &&
    cd    aom-build &&

    cmake -D CMAKE_INSTALL_PREFIX=/usr \
          -D CMAKE_BUILD_TYPE=Release  \
          -D BUILD_SHARED_LIBS=1       \
          -D ENABLE_DOCS=no            \
          -G Ninja .. &&
    ninja

To test the results, issue: ninja testdata && ninja runtests. Note that the tests take an extremely long time to run.

Now, as the `root` user:

    ninja install &&
    rm -v /usr/lib/libaom.a

## Command Explanations

`-D BUILD_SHARED_LIBS=1`: This switch builds shared versions of the libraries.

`-D ENABLE_DOCS=no`: This switch disables building the documentation because it fails due to an incompatibility with the latest version of Doxygen-1.13.2.

`-D ENABLE_NASM=yes`: Use this switch if you have both yasm-1.3.0 and NASM-2.16.03 installed and wish to use nasm instead of yasm.

## Contents

Installed Programs: None
Installed Libraries: libaom.so
Installed Directories: /usr/include/aom

### Short Descriptions

`libaom.so` | contains functions that provide a reference implementation of the AV1 codec

- Prev

  Libao-1.2.0

- Next

  libass-0.17.3

- Up
- Home